/*
Imsge-Text-Link


Markup:
<article class="imsge-text-link imsge-text-link-layout l-container">
  <div class="imsge-text-link_media" style="background-image:url('images/trial_img_cover.png')"></div>
  <h2>international opportunities</h2>
  <div class="l-row">
    <div class="imsge-text-link_description l-col">
      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce et tempus nisl, et eleifend magna. Donec ut risus luctus, egestas nisl accumsan, finibus lorem. Sed efficitur sollicitudin eros, nec varius sem malesuada sit amet. Vestibulum quis efficitur diam. Nullam non ultrices velit. In fermentum leo justo. Aenean sagittis, eros quis pulvinar egestas, libero sapien viverra leo, vulputate rutrum arcu lacus et augue.</p>
    </div>
    <div class="imsge-text-link_actions l-col">
      <div class="action">
        <img src="images/plane.png" />
        <a href="#" class="cta-in-website cta-in-website--green">
          <span>Study abroad,<br> internships & more</span>
        </a>
      </div>
    </div>
  </div>
</article>


Styleguide components.Imsge-Text-Link
*/

/*
Layout
*/
.imsge-text-link-layout{
  margin-top: $base-spacing * 3;

  .l-row{
    align-items: flex-end;
  }

  .imsge-text-link_description{
    flex: 0 1 100%;
    @include media(">desktop"){
      flex: 0 0 span(6);
    }
  }

  .imsge-text-link_actions{
    flex: 0 1 100%;
    margin-top: $base-spacing;
    @include media(">tablet"){
      flex: 0 0 span(6);
      margin-left: span(6);
    }
    @include media(">=desktop"){
      flex: 0 0 span(5);
      margin-left: 0;
    }
    .action{
      display: block;
      width: 100%;
      margin-right: -#{gutter()};
      min-width: 320px;
      @include media(">500px"){
        float: right;
        width: 90%;
      }
    }

  }
}
// Theme
.imsge-text-link{

}
.imsge-text-link_description{

}
.imsge-text-link_actions{
  img{
    display: block;
    clear: both;
    float: left;
  }
}

.imsge-text-link_media{
  background-size:cover;
  background-position: center;
  height: 18rem;
  @include media('>desktop'){
    height: 40rem;
  }
}
